// debug_test.c - demo of a useful macro for debugging

#include "debug.h"

int main()
{
  __active_debug_flags__ = DEBUG_COMMON | DEBUG_NETWORK;

  DEBUG(DEBUG_COMMON,"This is common debug output")
  DEBUG(DEBUG_SPECIAL,"This is special debug output")
  DEBUG(DEBUG_NETWORK,"This is network debug output")
}
